package com.keao.edu.user.api.enums;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

public class StudentExamResultApiDto {

	private Long id;

	@ApiModelProperty(value = "学员报考编号")
	private Long examRegistrationId;
	
	@ApiModelProperty(value = "考级项目编号")
	private Long examinationBasicId;

	@ApiModelProperty(value = "学员编号")
	private Integer studentId;

	@ApiModelProperty(value = "考试结果")
	private ExamEvaluationResultEnum result;

	@ApiModelProperty(value = "教师评审均分")
	private Float avgScore;

	@ApiModelProperty(value = "考试结果确认")
	private Integer confirmStatus;
	
	@ApiModelProperty(value = "备注")
	private String memo;
	
	@ApiModelProperty(value = "操作者")
	private Integer operatorId;

	@ApiModelProperty(value = "是否参与考试")
	private Integer isFinishedExam;

	@ApiModelProperty(value = "视频连接")
	private String videoUrl;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	private String roomId;

	private String recordStartTime;

	private Integer recordFlag;

	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}

	public String getRecordStartTime() {
		return recordStartTime;
	}

	public void setRecordStartTime(String recordStartTime) {
		this.recordStartTime = recordStartTime;
	}

	public Integer getRecordFlag() {
		return recordFlag;
	}

	public void setRecordFlag(Integer recordFlag) {
		this.recordFlag = recordFlag;
	}

	public Long getExamRegistrationId() {
		return examRegistrationId;
	}

	public void setExamRegistrationId(Long examRegistrationId) {
		this.examRegistrationId = examRegistrationId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Integer getConfirmStatus() {
		return confirmStatus;
	}

	public void setConfirmStatus(Integer confirmStatus) {
		this.confirmStatus = confirmStatus;
	}

	public void setIsFinishedExam(Integer isFinishedExam) {
		this.isFinishedExam = isFinishedExam;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}

	public ExamEvaluationResultEnum getResult() {
		return result;
	}

	public void setResult(ExamEvaluationResultEnum result) {
		this.result = result;
	}

	public String getVideoUrl() {
		return videoUrl;
	}

	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}

	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Float getAvgScore() {
		return avgScore;
	}

	public void setAvgScore(Float avgScore) {
		this.avgScore = avgScore;
	}

	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}

	public Integer getIsFinishedExam() {
		return isFinishedExam;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
